using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ThreadedSplashScreenSample
{
    public partial class Form1 : MicroFour.StrataFrame.UI.Windows.Forms.StandardForm
    {

        #region [ Constructors ]
        
        /// <summary>
        /// Default Constructor
        /// </summary>
        public Form1()
        {
            InitializeComponent();
        } 

        #endregion

        #region [ Handled Events ]
        
        private void button1_Click(object sender, EventArgs e)
        {
            SplashScreen.HideSplash();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            SplashScreen.ShowSplash();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            SplashScreen.SetMessage(txtMessage.Text);
        }

        #endregion

        #region [ Protected Methods ]

        protected override void OnShown(EventArgs e)
        {
            base.OnShown(e);

            SplashScreen.SetMessage("The main dialog is now active...use buttons to change this dialog");
        }

        #endregion

    }
}